﻿using System.Collections.Generic;
using System.Threading.Tasks;
using System.Web.Http;

namespace MyWebServiceDataSource.Controllers
{
    public class ValuesController : ApiController
    {
        [HttpGet]
        // Get api/values/myuser?mail=1&pw=2
        public async Task<IHttpActionResult> MyUser(string mail, string pw)
        {
            string[] users = await this.myFunc(mail, pw);

            return this.Json(users);
        }

        private Task<string[]> myFunc(string mail, string pw)
        {
            return Task.FromResult<string[]>(new string[] { $"mail={mail}", $"pw={pw}" });
        }

        [HttpGet]
        // Get api/values/myuser?some=1&other=2
        public IHttpActionResult Other(string some, string other)
        {
            string[] users = new string[] { $"some={some}", $"other={other}" };

            return this.Json(users);
        }

        // GET api/values/5
        public IEnumerable<string> Get(int id)
        {
            return new string[] { $"value_{id}", $"id={id}" };
        }

        // GET api/values
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }
    }
}
